*If(strcmp(GenData(Calculation_Analysis),"Static")!=0 && strcmp(GenData(Calculation_Analysis),"Creep")!=0)

*If(IntvData(User_Dynamic_Parameters,Int)==1)
SET *IntvData(DYNAMIC_ANALYSIS_METHOD) ;
*If(strcmp(IntvData(DYNAMIC_ANALYSIS_METHOD),"Hughes_Alpha_Method")==0)
SET TRANSIENT HUGHES ALPHA *IntvData(HUGHES_ALPHA,Real)
*Else
SET TRANSIENT NEWMARK 
*EndIf
	BETA  *IntvData(NEWMARK_BETA,Real)
	GAMMA *IntvData(NEWMARK_GAMMA,Real)
  
*If(IntvData(Damping_by_Coefficient,Int)==1)  
	DAMPING MASS COEFFICIENT *IntvData(DAMPING_MASS_COEFFICIENT,Real)
	DAMPING STIFFNESS COEFFICIENT *IntvData(DAMPING_STIFFNESS_COEFFICIENT,Real)
*Else
SET TRANSIENT DAMPING REGRESSION
*Set Var numMode=1
*for(i=1;i<=GenData(Damping_regression,Int);i=i+3)
  MODE *numMode OMEGA *GenData(Damping_regression,*i,Real) KSI *GenData(Damping_regression,*Operation(i+1),Real) WEIGHT *GenData(Damping_regression,*Operation(i+2),Real)  
*Set Var numMode=Operation(numMode+1)
*End
CALCULATE

*EndIf
 ;
*EndIf
*EndIf

*If(IntvData(Calculate_Eigenvalues-Vectors,Int)==1)
// Set eigenvals analysis option/switch
SET NUMBER_OF_EIGENVALS *IntvData(NUMBER_OF_EIGENVALS,Int)
SET MAX_EIGENVAL_ERROR *IntvData(MAX_EIGENVAL_ERROR,Real)
Set MAX_NUMBER_OF_SSPACE_ITERATIONS *IntvData(MAX_NUMBER_OF_SubSPACE_ITERATIONS,Int)
Set STURM_SEQUENCE_CHECK *IntvData(STURM_SEQUENCE_CHECK)
Set MAX_NUMBER_OF_JACOBI_ITERATIONS *IntvData(MAX_NUMBER_OF_JACOBI_ITERATIONS,Int)
Set NUMBER_OF_PROJ_VECS *IntvData(NUMBER_OF_PROJECTION_VECS,Int)
SET NORMALIZE_EIGENVECTORS *IntvData(NORMALIZE_EIGENVECTORS)
*#// Set SHIFT_EIGENVALUES *IntvData(SHIFT_EIGENVALUES,Real)

*EndIf
